Retrieves a user week approval with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a66203e0-92a4-49a9-bf9d-23a0262aa725",
  "user_id": "ab64e0ad-d742-412f-b393-cda1d9e5b4d4",
  "approved_date_start": "2026-11-09T17:02:31.964311+00:00",
  "approved_date_end": "2026-11-09T17:02:31.964311+00:00",
  "date_approval": "2026-11-09T17:02:31.964311+00:00",
  "is_approved": true,
  "approved_by_user_id": "f003d558-bb30-4a69-9ee3-99465fe0ad8b",
  "modified_dateutc": "2026-11-09T17:02:31.964311+00:00"
}